Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration.metadata.reader
Interface AuditedPropertiesHolder

All Known Implementing Classes:
  ClassAuditingData, ComponentAuditingData

    public interface AuditedPropertiesHolder

Implementations hold other audited properties.

Author:
  Adam Warski (adam at warski dot org), Hern&aacut;n Chanfreau

Method Summary
`void` | `addPropertyAuditingData(String propertyName, PropertyAuditingData auditingData)` Add an audited property.
`boolean` | `contains(String propertyName)`
`PropertyAuditingData` | `getPropertyAuditingData(String propertyName)`
`boolean` | `isEmpty()`

Method Detail

### addPropertyAuditingData

    void addPropertyAuditingData(String propertyName,
                                 PropertyAuditingData auditingData)

  Add an audited property.

  Parameters:
    `propertyName` - Name of the audited property.
    `auditingData` - Data for the audited property.

### getPropertyAuditingData

    PropertyAuditingData getPropertyAuditingData(String propertyName)

  Parameters:
    `propertyName` - Name of a property.
  Returns:
    Auditing data for the property.

### isEmpty

    boolean isEmpty()

  Returns:
    true if the holder contains any audited property

### contains

    boolean contains(String propertyName)

  Returns:
    true if the holder contains the given audited property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.